package wenrgise.hrms.ejb.facade;

import java.sql.Timestamp;
import java.util.ArrayList;
import javax.ejb.EJBLocalObject;
import wenrgise.common.bean.BaseHeaderBean;
import wenrgise.common.exception.EnrgiseApplicationException;
import wenrgise.common.exception.EnrgiseSystemException;
import wenrgise.common.utility.RecordMetaInfo;
import wenrgise.common.utility.UserInfo;
import wenrgise.common.vo.LovQueryVO;
import wenrgise.common.vo.LovVO;
import wenrgise.hrms.bean.HrmRecAdvtMtnHdrBean;
import wenrgise.hrms.bean.HrmRecApplnMtnHdrBean;
import wenrgise.hrms.bean.HrmRecEmpRecCreationHdrBean;
import wenrgise.hrms.bean.HrmRecTestCentreMstHdrBean;
import wenrgise.hrms.bean.HrmRoasterEntryHdrBean;
import wenrgise.hrms.vo.HrmRecAdvtMtnQVO;
import wenrgise.hrms.vo.HrmRecApplnMtnQVO;
import wenrgise.hrms.vo.HrmRecEmpRecCreationQVO;
import wenrgise.hrms.vo.HrmRecScrutAppMntQVO;
import wenrgise.hrms.vo.HrmRecTestCentreMstQVO;
import wenrgise.hrms.vo.HrmRoasterEntryQVO;

public interface HrmRecruitmentFacadeLocal extends EJBLocalObject {
  RecordMetaInfo getHrmTCMstHeaderMetaInfo(HrmRecTestCentreMstQVO paramHrmRecTestCentreMstQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmTCMstHeader(HrmRecTestCentreMstQVO paramHrmRecTestCentreMstQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmTCMstCodeLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveDataTC(HrmRecTestCentreMstHdrBean paramHrmRecTestCentreMstHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getRecLocVacencyDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getRecLngReqDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getRecQualReqDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getRecSkillReqDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getRecJobDescDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getRecWorkExpDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getRecLocVacencyDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getRecLngReqDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getRecQualReqDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getRecSkillReqDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getRecWorkExpDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getRecJobDescDetail(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(BaseHeaderBean paramBaseHeaderBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecAttrLocationLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecAttrQualificationLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecAttrLanguageLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecAttrSkillLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecAttrWorkLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecAttrRefLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecAttrPositionLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmEmpRecCrtnHdrMetaInfo(HrmRecEmpRecCreationQVO paramHrmRecEmpRecCreationQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmEmpRecCrtnHeaderInfo(HrmRecEmpRecCreationQVO paramHrmRecEmpRecCreationQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnApplnNoLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnEntryModeLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnMotherTongueLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnNationalityLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnMaritalStatusLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnReservationCtgLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnReligionLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnCountryLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnStateLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnBaseSiteLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnDesignationLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnScaleLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnGradeLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnCostCentreLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnJoiningGroupLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnTechNonTechLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecCrnEmployeeTypeLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmRecEmpRecCreationHdrBean paramHrmRecEmpRecCreationHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmRecApplnMtnHdrMetaInfo(HrmRecApplnMtnQVO paramHrmRecApplnMtnQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmRecApplnMtnHeaderInfo(HrmRecApplnMtnQVO paramHrmRecApplnMtnQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmRecApplnAddDtlMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmRecApplnResultDtlMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmRecApplnEduDtlMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmRecApplnExpDtlMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmRecApplnLangDtlMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmRecApplnOtherDtlMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmRecApplnRefMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmRecApplnTrngDtlsMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmRecApplnAddDtl(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmRecApplnEduDtl(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmRecApplnExpDtl(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmRecApplnLangDtl(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmRecApplnResultDtl(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmRecApplnOtherDtl(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmRecApplnRef(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmRecApplnTrngDtls(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecApplnRefNoLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecApplnDesigLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecApplnApplnNoLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecApplnLangCodeLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecApplnKnowCodeLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecApplnResvCatCodeLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmRecApplnTestCodeLOVData(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmRecApplnMtnHdrBean paramHrmRecApplnMtnHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseSystemException, EnrgiseApplicationException;
  
  LovVO getHrmRefNoLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getHrmDesigNoLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmScrutAppMntnDetailMetaInfo(HrmRecScrutAppMntQVO paramHrmRecScrutAppMntQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmScrutAppMntnDetailInfo(HrmRecScrutAppMntQVO paramHrmRecScrutAppMntQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveDataScrutApp(BaseHeaderBean paramBaseHeaderBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmRecAdvtHdrMetaInfo(HrmRecAdvtMtnQVO paramHrmRecAdvtMtnQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmRecAdvtInfo(HrmRecAdvtMtnQVO paramHrmRecAdvtMtnQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmRecAdvtDtlMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmRecAdvtDetailInfo(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getClassDataLOV(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getRefNoLOV(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getEntryModeLOV(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getPositionCodeLOV(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmRecAdvtMtnHdrBean paramHrmRecAdvtMtnHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmRoasterHdrMetaInfo(HrmRoasterEntryQVO paramHrmRoasterEntryQVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmRoasterHdrInfo(HrmRoasterEntryQVO paramHrmRoasterEntryQVO, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  String saveData(HrmRoasterEntryHdrBean paramHrmRoasterEntryHdrBean, Timestamp paramTimestamp1, String paramString1, String paramString2, boolean paramBoolean1, ArrayList paramArrayList, boolean paramBoolean2, Timestamp paramTimestamp2, UserInfo paramUserInfo) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  ArrayList getHrmRoasterEntryDetailInfo(String paramString, long paramLong1, long paramLong2) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  RecordMetaInfo getHrmRoasterEntryDetailMetaInfo(String paramString) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getRstrCodeLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getRstrSocialStatusLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
  
  LovVO getRoasterEmpDetailsLOVdata(LovQueryVO paramLovQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException;
}
